<?xml version="1.0" encoding="utf-8"?>
<androidx.preference.PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:key="app_prefs">
    <PreferenceCategory android:title="@string/video_settings">
        <androidx.preference.ListPreference
            android:icon="@drawable/ic_baseline_slow_motion_video_24"
            android:key="@string/set_video_mode_choice"
            android:summary="@string/set_video_mode_description"
            android:title="@string/set_video_mode" />
        <androidx.preference.SwitchPreference
            android:icon="@drawable/ic_baseline_featured_video_24"
            android:key="@string/set_video_minimize_choice"
            android:summary="@string/set_video_minimize_description"
            android:title="@string/set_video_minimize" />

        <androidx.preference.ListPreference
            android:icon="@drawable/ic_baseline_high_quality_24"
            android:key="@string/set_video_quality_choice"
            android:summary="@string/set_video_quality_description"
            android:title="@string/set_quality_mode" />

        <androidx.preference.SeekBarPreference
            android:icon="@drawable/ic_baseline_storage_24"
            android:defaultValue="10"
            android:max="50"
            android:key="@string/set_video_cache_choice"
            android:summary="@string/set_video_cache_description"
            android:title="@string/set_cache_mode" />
    </PreferenceCategory>

    <PreferenceCategory android:title="@string/app_interface">
        <androidx.preference.MultiSelectListPreference
            android:icon="@drawable/ic_baseline_language_24"
            android:key="@string/set_video_language_choice"
            android:summary="@string/set_video_language_description"
            android:title="@string/set_video_language" />
    </PreferenceCategory>
</androidx.preference.PreferenceScreen>